Main Page Class Hierarchy Compound List File List Compound Members File Members

# RingReaderServer Class Reference

`#include <ringreaderserver.h>`

Inheritance diagram for RingReaderServer:

List of all members.

## Public Member Functions
HANDLE_STATUS | HandleConfigLine (ConfigSource *p_parser)
| RingReaderServer ()
| ~RingReaderServer ()
## Protected Member Functions
virtual void | CheckConfig ()
bool | PrepareToRun ()
WORM_STATUS_CODE | MainThreadActions ()
void | FinishedRunning ()
virtual bool | MessageFromRing (const MSG_LOGO p_msglogo, const char *p_msg)=0
## Protected Attributes
int | LoggingLevel
WORM_RING_NAME | InputRingName
WORM_RING_ID | InputRingKey
SHM_INFO | InputRegion
MSG_LOGO | ServeLogo [SERVE_MAX_LOGOS]
short | ServeLogoCount
TMutex * | MessageMutex
## Private Attributes
int | MaxMessageLength
char * | MessageBuffer

## Constructor & Destructor Documentation

RingReaderServer::RingReaderServer | ( |  | ) |

| Definition at line 14 of file ringreaderserver.cpp. References SHM_INFO::addr, InputRegion, InputRingKey, MaxMessageLength, MessageBuffer, ServeLogoCount, and WORM_RING_INVALID.

RingReaderServer::~RingReaderServer | ( |  | ) |

| Definition at line 23 of file ringreaderserver.cpp. References SHM_INFO::addr, WormServerBase::CommandRingKey, InputRegion, InputRingKey, MessageBuffer, and tport_detach().

## Member Function Documentation

void RingReaderServer::CheckConfig | ( |  | ) | `[protected, virtual]`

| Reimplemented from WormServerBase. Definition at line 179 of file ringreaderserver.cpp. References WormServerBase::CheckConfig(), TConfigurable::ConfigState, InputRingKey, TLogger::Logit(), MaxMessageLength, ServeLogoCount, WORM_RING_INVALID, and WORM_STAT_BADSTATE.

void RingReaderServer::FinishedRunning | ( |  | ) | `[protected, virtual]`

| Reimplemented from WormServerBase. Definition at line 382 of file ringreaderserver.cpp. References SHM_INFO::addr, WormServerBase::CommandRingKey, InputRegion, InputRingKey, and tport_detach().

HANDLE_STATUS RingReaderServer::HandleConfigLine | ( | ConfigSource * | p_parser | ) | `[virtual]`

| Reimplemented from WormServerBase. Definition at line 39 of file ringreaderserver.cpp. References HANDLE_STATUS, WormServerBase::HandleConfigLine(), HANDLER_INVALID, HANDLER_UNUSED, HANDLER_USED, InputRingKey, ConfigSource::Int(), ConfigSource::Its(), TLogger::Logit(), TGlobalUtils::LookupInstallationId(), TGlobalUtils::LookupMessageTypeId(), TGlobalUtils::LookupModuleId(), TGlobalUtils::LookupRingKey(), MaxMessageLength, SERVE_MAX_LOGOS, ServeLogo, ServeLogoCount, ConfigSource::String(), and WORM_RING_INVALID.

WORM_STATUS_CODE RingReaderServer::MainThreadActions | ( |  | ) | `[protected, virtual]`

| Reimplemented from WormServerBase. Definition at line 261 of file ringreaderserver.cpp. References GET_MISS, GET_MISS_LAPPED, GET_MISS_SEQGAP, GET_NONE, GET_NOTRACK, GET_OK, GET_TOOBIG, MSG_LOGO::instid, TGlobalUtils::LookupInstallationId(), TGlobalUtils::LookupMessageTypeId(), TGlobalUtils::LookupModuleId(), MessageBuffer, MessageFromRing(), MSG_LOGO::mod, WormServerBase::SendStatus(), ServeLogo, ServeLogoCount, tport_getmsg(), MSG_LOGO::type, WORM_STAT_FAILURE, WORM_STAT_SUCCESS, and WORM_STATUS_CODE.

virtual bool RingReaderServer::MessageFromRing | ( | const MSG_LOGO | p_msglogo,
|  | const char * | p_msg
| ) | `[protected, pure virtual]`

| Referenced by MainThreadActions().

bool RingReaderServer::PrepareToRun | ( |  | ) | `[protected, virtual]`

| Reimplemented from WormServerBase. Definition at line 208 of file ringreaderserver.cpp. References SHM_INFO::addr, WormServerBase::CommandRingKey, TGlobalUtils::GetLoggingLevel(), InputRegion, InputRingKey, LoggingLevel, TLogger::Logit(), TGlobalUtils::LookupMessageTypeId(), MaxMessageLength, MessageBuffer, tport_attach(), WORM_LOG_DEBUG, and WORM_MSGTYPE_INVALID.

## Member Data Documentation

SHM_INFO RingReaderServer::InputRegion`[protected]`

| Definition at line 104 of file ringreaderserver.h. Referenced by FinishedRunning(), PrepareToRun(), RingReaderServer(), and ~RingReaderServer().

WORM_RING_ID RingReaderServer::InputRingKey`[protected]`

| Definition at line 103 of file ringreaderserver.h. Referenced by CheckConfig(), FinishedRunning(), HandleConfigLine(), PrepareToRun(), RingReaderServer(), and ~RingReaderServer().

WORM_RING_NAME RingReaderServer::InputRingName`[protected]`

| Definition at line 102 of file ringreaderserver.h.

int RingReaderServer::LoggingLevel`[protected]`

| Reimplemented from WormServerBase. Definition at line 99 of file ringreaderserver.h. Referenced by PrepareToRun().

int RingReaderServer::MaxMessageLength`[private]`

| Definition at line 34 of file ringreaderserver.h. Referenced by CheckConfig(), HandleConfigLine(), PrepareToRun(), and RingReaderServer().

char* RingReaderServer::MessageBuffer`[private]`

| Definition at line 35 of file ringreaderserver.h. Referenced by MainThreadActions(), PrepareToRun(), RingReaderServer(), and ~RingReaderServer().

TMutex* RingReaderServer::MessageMutex`[protected]`

| Definition at line 116 of file ringreaderserver.h.

MSG_LOGO RingReaderServer::ServeLogo[SERVE_MAX_LOGOS]`[protected]`

| Definition at line 106 of file ringreaderserver.h. Referenced by HandleConfigLine(), and MainThreadActions().

short RingReaderServer::ServeLogoCount`[protected]`

| Definition at line 107 of file ringreaderserver.h. Referenced by CheckConfig(), HandleConfigLine(), MainThreadActions(), and RingReaderServer().

The documentation for this class was generated from the following files:

- ringreaderserver.h
- ringreaderserver.cpp